---
title: "Opees"
date: 2009-01-01T00:00:00-00:00
project_logo: "/research/images/research/r-projects/opees.jpg"
tags: ["Modeling"]
homepage: ""
facebook: ""
linkedin: ""
twitter: ""
youtube: ""
funding_bodies: ["itea3"]
eclipse_projects: ["modeling.mdt.papyrus","polarsys.capella"]
project_topic: Modelling
summary: "Open Platform for the Engineering of Embedded Systems"
hide_page_title: true
hide_sidebar: true
container: "bg-white"
header_wrapper_class: "header-projects-bg-img"
description: "# **Opees**

The ITEA 2 project OPEES stood at the inception of two important trends: open collaboration with open source in industry and open source tools for model-based systems engineering (MBSE). Neither of these trends were well developed in 2009, but almost 10 years later, and with acceleration through the OPEES project, we benefit from both good open source MBSE tools and many open collaboration initiatives in industry. OPEES was both a pioneer and a catalyst in this evolution.


The ITEA 2 OPEES project was created to develop an open source platform for software tools to support engineering technologies for embedded systems and to secure the competitiveness and development of the European software industry. One key requirement, brought by Airbus, was to be able to use tools for more than 50 years, during the complete lifetime and duration of support of an aircraft programme. During the project that ended in 2012, the 28 partners not only developed and significantly improved existing open source projects such as Frama-C, Eclipse Papyrus and others, but also defined the governance and the structure for a sustainable organisation to gather an ecosystem of both developers and users.


In 2012, the first Working Group was created at the Eclipse Foundation. The Eclipse Foundation provides a global community of individuals and organisations with a mature, scalable and commercially-friendly environment for open source software collaboration and innovation. With actors from industrial sectors such as aerospace, transport and energy, this PolarSys Working Group quickly reached a larger community by recruiting both new members and new technologies. It consisted of 25 members including some OPEES partners such as Airbus, CEA and Thales as members of the Steering Committee.


When Airbus reached out to the Eclipse Foundation in 2007, they explained that they needed to setup an organisation similar to the Eclipse Foundation, but for industry collaboration instead of collaboration between software vendors. Companies like Airbus, Thales, Ericsson and others, need tools that have properties that fit well with the freedoms offered by open source: to use, study, improve and share software. In industry terms this means the capability to adapt the software to a specific industry context, to support the software for the long term (>10 years) or even the very long term (>50 years), to ease deployment across the supply chain and to ease interoperability through open standards.


This project was running from January 2009 - December 2012."
---

**Source: [https://itea3.org/magazine/34/november-2019/itea-success-story-opees.html](https://itea3.org/magazine/34/november-2019/itea-success-story-opees.html)**

{{< grid/div class="container research-page-section" isMarkdown="false">}}
  <img src="opees-story.png" alt="Opees Success story" style="max-width: 100%">
{{</ grid/div>}}

{{< grid/div class="bg-light-gray" isMarkdown="false">}}
{{< grid/div class="container research-page-section" >}}


# Consortium

* Barco N.V. - Belgium
* Katholieke Universiteit Leuven - Belgium
* Space Applications Services NV - Belgium
* Adacore - France
* Airbus Operations - France
* Alyotech - France
* Atos Origin Integration - France
* CEA LIST - France
* CNES - Centre National - France
* CS Systemes d'Information - France
* Dassault Aviation - France
* EADS Astrium Sattelites - France
* EADS Astrium Space Transportation - France
* INRIA Rennes Sophia Antipolis - France
* Institut National Polytechnique de Toulouse (INPT) - France
* LINAGORA - France
* MBDA France - France
* OBEO - France
* Onera - France
* Thales Corporate Services - France
* Xipp - France
* ICT-Norway - Norway
* INDRA - Spain
* Innovalia Association - Spain
* Software Quality Systems S.A. - Spain
* TCP Sistemas e Ingenieria - Spain
* Universidad Politécnica de Valencia (UPV) - Spain
* Combitech - Sweden
* Ericsson - Sweden
* University of Skövde - Sweden

{{</ grid/div>}}
{{</ grid/div>}}
