---
title: "SPARTA"
date: 2019-02-01T00:00:00-00:00
project_logo: "/research/images/research/r-projects/sparta.png"
tags: ["cybersecurity"]
homepage: "http://www.sparta.eu"
facebook: ""
linkedin: ""
twitter: ""
youtube: "https://youtu.be/cU1QsdyaNXs"
funding_bodies: ["horizon2020"]
eclipse_projects: ["technology.steady"]
project_topic: Cybersecurity
summary: "Re-imagining the way cybersecurity research, innovation, and training are performed in Europe"
hide_page_title: true
hide_sidebar: true
container: "bg-white"
header_wrapper_class: "header-projects-bg-img"
description: "# **SPARTA**

Cybersecurity is an urgent and major societal challenge. Highly correlated with the digitalization of our societies, cyberthreats have an increasing impact on our lives. It is therefore essential to ensure digital security and strategic autonomy of the EU by strengthening leading cybersecurity capacities. This challenge will require the coordination of Europe’s best competences, towards common research and innovation goals.


SPARTA is a novel Cybersecurity Competence Network, supported by the EU’s H2020 program, with the objective to develop and implement top-tier research and innovation collaborative actions. Strongly guided by concrete challenges forming an ambitious Cybersecurity Research & Innovation Roadmap, SPARTA will setup unique collaboration means, leading the way in building transformative capabilities and forming a world-leading Cybersecurity Competence Network across the EU. From basic human needs (health) to economic activities (energy, finance, and transport) to technologies (ICT and industry) to sovereignty (eGovernment, public administration), four research and innovation programs will push the boundaries to deliver advanced solutions to cover emerging challenges."
---

<center>
<table style="width:80%">
<tr><td colspan="2"><center><img src="sparta-program.png"></center></td></tr>
<tr>
	<td><img src="t-shark.png"></td>
	<td>Explore innovative work in full- spectrum situational awareness, with the goal of enabling the supervision of complex systems over heterogeneous time scales</td>
</tr>
<tr>
	<td><img src="haii-t.png"></td>
	<td>Develop a foundation for secure- by-design intelligent infrastructure built on strong formal approaches, addressing multiple cybersecurity facets.</td>
</tr>
<tr>
	<td><img src="cape.png"></td>
	<td>Investigate new avenues for continuous assessment and new evaluation tools and techniques for handling tomorrow's dynamic and elastic digital systems.</td>
</tr>
<tr>
	<td><img src="safair.png"></td>
	<td>Devise approaches to make systems using AI more reliable and resilient through enhanced explainability and better threat understanding.</td>
</tr>
</table>
</center>
<p/>

{{< grid/div class="container research-page-section">}}

The SPARTA consortium assembles, for the first time, 44 actors from more than 14 Member States, bringing together the expertise of different kind of stakeholders, be they research institutes, private organizations or national authorities,
Re-imagining the way cybersecurity research, innovation, and training are performed in Europe across domains and expertise, from foundations to applications, in academia and industry. SPARTA will create a long-lasting community capable of collaboration to define, develop, share, and evolve solutions that will help practitioners prevent cybercrime and enhance cybersecurity.
In sharing experiences and excellence, challenges and capabilities, SPARTA makes decisive contributions to European strategic autonomy.

### Eclipse OpenCert
[Eclipse OpenCert](https://www.eclipse.org/opencert/) is an open product and process assurance/certification management tool to support the compliance assessment and certification of Cyber-Physical Systems (CPS) spanning the safety and security. The OpenCert tool will be applied in SPARTA, in particular within the CAPE Program, to support the Safety and Security compliance assessment and certification of the Platooning vertical, helping the user in the whole assurance process of Connected and Cooperative Car Cybersecurity scenario. OpenCert will support knowledge management about those standards that the platooning has to be compliant with (ISO 26262 and SAE J3061), it will assist on the development of assurance cases, evidence management and assurance process management, and will support the global monitoring of the compliance with the standards and regulations mentioned before.

{{</ grid/div>}}

{{< grid/div class="bg-light-gray" isMarkdown="false">}}
{{< grid/div class="container research-page-section" >}}

# Eclipse Steady (Incubator Project)
**Discover, assess and mitigate known vulnerabilities in Open-source Software Libraries**

The use of open-source software (OSS) is ever-increasing, and so is the number of open-source vulnerabilities being discovered and publicly disclosed. The risks that come from the reuse of community-developed libraries were mercilessly demonstrated by the (in)famous Equifax data breach where personal and financial data of millions of US citizens were stolen. The root cause of the Equifax data breach lies on a web server application which was depending on an old, vulnerable OSS library.
Nowadays several tools exist to detect whether vulnerable libraries are among application dependencies, however most of them rely on meta-data for mapping libraries to vulnerabilities. A team of security researchers at SAP has developed a different approach based on the detection of vulnerable code rather than vulnerable libraries (see <https://arxiv.org/pdf/1806.05893.pdf>).

Eclipse Steady, the tool implementing this code-centric and usage-based approach, is officially recommended by SAP to scan its Java software. It has been recently released as an open source tool and has now found a new home at the Eclipse Foundation. It will be further improved as part of SPARTA’s CAPE program.

[SPARTA Flyer](sparta_leaflet.pdf)
[Additional Video](https://www.sparta.eu/assets/videos/SPARTA_Project_presentation_video.mp4)

{{</ grid/div>}}
{{</ grid/div>}}
