---
title: "BaSys 4.2"
date: 2019-10-01T00:00:00-00:00
project_logo: "/research/images/research/r-projects/basys4_2.png"
tags: ["Standard", "Industry 4.0"]
homepage: "https://www.basys40.de/"
facebook: ""
linkedin: ""
twitter: ""
youtube: "https://www.youtube.com/watch?v=kx2F5E5foLU"
funding_bodies: ["bmbf"]
eclipse_projects: ["dt.basyx"]
project_topic: "I4.0"
summary: "Open Platform of the Fourth Industrial Revolution"
hide_page_title: true
hide_sidebar: true
container: "bg-white"
header_wrapper_class: "header-projects-bg-img"
description: "# **BaSys 4.2**

BaSys 4.2 with its open-source reference implementation [Eclipse BaSyx](https://www.eclipse.org/basyx/) digitalizes manufacturing processes and integrates the devices on the shopfloor with a company‘s IT.


Dynamic markets, documentation obligations, lot size 1: Production is changing, and companies that keep up with this change, even embracing Industrie 4.0, will have clear competitive advantages in the future. But the challenges of modern production can no longer be mastered without digitalizing the manufacturing processes.


In order to sustain production in a high-wage country like Germany, we must embark on new paths. At its core, Industrie 4.0 is a software revolution. The end-to-end digitalization and networking of production processes not only increases their efficiency, but also makes it possible to change the production efficently and thus produce small lot sizes. In the future, this will determine profit margins and thus the competitiveness of companies.


BaSys 4.2 implements a service-based production in which each product is described by its own recipe containing the production services required for the manufacturing of each product. BaSys thus separates the implementation of production steps from the manufacturing process. BaSys 4.2 bridges different protocols and thus enables communication between devices and IT. In order for this communcation to work, however, a common language is necessary that gives meaning to the information.


The project is running from July 2019 - June 2022 and is coordinated by Fraunhofer IESE."

---

{{< grid/div class="container research-page-section" >}}

# Eclipse BaSyx
The [Eclipse BaSyx](https://www.eclipse.org/basyx/) project is the open source result of the German research projects BaSys 4.0 and BaSys 4.2, which are funded by the Ministry for Education and Research.  Eclipse BaSyx is the open source platform for the next generation automation. As a reference technology platform, the BaSyx project enables large and small industries, research institutes, academia, and interested persons, to participate in the fourth industrial revolution.

By providing common Industrie 4.0 components and an extendable SDK the platform accelerates the development of Industrie 4.0 solutions. The Eclipse BaSyx platform addresses challenges like changeable production to enable individualized goods, exploiting big data analytics and connecting heterogenous devices and systems while minimizing downtime and other associated costs.

Eclipse BaSyx realizes the following technologies implementing central pillars of Industrie 4.0 production architectures:

* The **Virtual Automation Bus** enables cross-network and cross-protocol peer-to-peer communication between manufacturing machines (shop floor) and the IT.

* **Asset Administration Shells** are digital representatives of production assets, i.e., their digital twins. These assets may be physical or non-physical in nature. The asset administration
shell of an asset contains sub-models providing, for example, its interface as well as status and live data.

* **Control Components** realize uniform service interfaces for devices. They separate the implementation of production services from the production processes and make the production changeable. Control components also realize more abstract services, which abstract from the details of the implementation and are therefore easier to use. Control components are realized by means of runtime environments.

[BaSys flyer](http://www.basys40.de/wp-content/uploads/2019/12/Flyer_BaSys42_english.pdf)
[Additional video](https://www.youtube.com/watch?v=bMY8FLhjjRI)

{{</ grid/div>}}

{{< grid/div class="bg-light-gray" isMarkdown="false">}}
{{< grid/div class="container research-page-section" >}}

# Consortium

* ABB Ltd. und ABB-Forschungszentrum - Germany
* Bosch Rexroth AG - Germany
* DFKI GmbH - Germany
* Eclipse Foundation Europe GmbH - Germany
* EngRoTec GmbH & Co. KG - Germany
* Festo AG & Co KG - Germany
* FORTISS GmbH - Germany
* Fraunhofer IESE - Germany
* ITQ GmbH - Germany
* KUKA Roboter GmbH - Germany
* Lenze Automation GmbH - Germany
* PSI Automotive & Industry GmbH - Germany
* RWTH Aachen - Germany
* Robert Bosch GmbH - Germany
* SMS group GmbH - Germany
* SYSGO AG - Germany
* ZF Friedrichshafen AG - Germany

{{</ grid/div>}}
{{</ grid/div>}}
